---
version: "3.8"

services:
  wiki:
    image: "decentral1se/kawaiipunk.xyz:v0.1.0"
    networks:
      - proxy
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:8000"]
      interval: 10s
      timeout: 10s
      retries: 10
      start_period: 5s
    deploy:
      update_config:
        failure_action: rollback
        order: start-first
      labels:
        - "traefik.enable=true"
        - "traefik.http.services.wiki.loadbalancer.server.port=8000"
        - "traefik.http.routers.wiki.rule=Host(`kawaiipunk.xyz`)"
        - "traefik.http.routers.wiki.entrypoints=web-secure"
        - "traefik.http.routers.wiki.tls.certresolver=production"

networks:
  proxy:
    external: true
